Bug 866753 - JMS client, which does not specify user/password when creating connection to server, is not considered as "guest"
JMS client, which does not specify user/password when creating connection to ...
Status: CLOSED WONTFIX
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: TBD EAP 6
Assigned To: Russell Dickenson
: Documentation, FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 00:17 EDT by Eamon
Modified: 2014-08-14 11:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-31 11:29:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-8179 Major Closed JMS client which does not specify user/password during creating connection to server is not considered as "guest" 2015-08-20 04:55:16 EDT

  None (edit)
Description Eamon 2012-10-16 00:17:02 EDT
Summary:
When JMS Client tries to connect to the server without specifying a user/password combination, then, when the connection is created they are given "null" credentials instead of "guest" credentials.

This is working as expected and should be documented somewhere so that users are not confused by this behaviour.

Clone from JBoss Issue Tracker:
https://issues.jboss.org/browse/JBPAPP-8179

Further information available in the above link.
Comment 1 JBoss JIRA Server 2012-10-16 00:34:28 EDT
Eamon Logue <elogue@redhat.com> updated the status of jira JBPAPP-8179 to Resolved
Comment 2 JBoss JIRA Server 2012-10-16 00:34:57 EDT
Eamon Logue <elogue@redhat.com> updated the status of jira JBPAPP-8179 to Closed
Comment 3 JBoss JIRA Server 2012-10-16 00:34:57 EDT
Eamon Logue <elogue@redhat.com> made a comment on jira JBPAPP-8179

This has been cloned to Bugzilla here: https://bugzilla.redhat.com/show_bug.cgi?id=866753
Further work will be tracked under the BZ.

Closing this issue.
Comment 5 JBoss JIRA Server 2012-10-17 18:46:01 EDT
Darrin Mison <dmison@redhat.com> updated the status of jira JBPAPP-8179 to Reopened
Comment 6 JBoss JIRA Server 2012-10-17 18:46:01 EDT
Darrin Mison <dmison@redhat.com> made a comment on jira JBPAPP-8179

updating for release notes
Comment 7 JBoss JIRA Server 2012-10-18 20:53:42 EDT
Tom Wells <twells@redhat.com> updated the status of jira JBPAPP-8179 to Closed
Comment 8 JBoss JIRA Server 2012-10-18 20:53:42 EDT
Tom Wells <twells@redhat.com> made a comment on jira JBPAPP-8179

Closing this JIRA as the work will be tracked and documented in Bugzilla when it is completed.
Comment 9 JBoss JIRA Server 2012-10-18 22:56:57 EDT
Tom Wells <twells@redhat.com> updated the status of jira JBPAPP-8179 to Reopened
Comment 10 JBoss JIRA Server 2012-10-18 22:57:16 EDT
Tom Wells <twells@redhat.com> updated the status of jira JBPAPP-8179 to Closed
Comment 11 JBoss JIRA Server 2012-10-18 22:57:16 EDT
Tom Wells <twells@redhat.com> made a comment on jira JBPAPP-8179

Correcting release notes status.
Comment 14 Miroslav Novak 2014-03-31 11:29:16 EDT
Closing, this bz is obsolete.

Note You need to log in before you can comment on or make changes to this bug.